Subject: Re: b19: unlink (and hence "rm") takes forever
From: "Alain.Culos -- "@bigfoot.com (Alain CULOS)

19 Mar 1998 07:45:34 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

Hi Mumit,

Have you ever tried to simply delete files in a large directory with windows, not from any of the GNU tools (directory containing as you say 600+ files, or as I tried myself 5000+). I deleted files using the Win95 explorer facility and it really is very slow itself. I guess one way or another it all comes to the same system call and my second guess is this system Call is *not* optimised.
Am I saying just silly things or is it that we have to accept that as fate ?

See ya,
Al.

Mumit Khan wrote:

> Anybody notice if unlinking or any other operation in a directory with
> lots of files (say 600+) is *really* slow!!
>
> While building Win32 export libraries, I noticed that building
> libkernel32.a etc was taking hours on a fast machine, which took
> just a few minutes under b19. The culprit turns out to be "unlink",
> and deleting the 650+ files just never finish on NT 4.0 FAT system.
>
> If I run dlltool with --nodelete and skip the unlinking of the temp
> files, it finishes in minutes again, but it seems to be quite
> interdeteministic.
>
> Anybody else seen such behaviour?
>
> Mumit

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever les deux moins et les deux espaces de mon adresse.
To answer me, please take out both minus signs and both spaces from my address.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".